package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.WorkflowParam;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (WorkflowParam)表服务接口
 *
 * @author Xidaray
 * @since 2024-03-18 14:12:07
 */
public interface WorkflowParamService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    WorkflowParam queryById(Integer id);

    /**
     * 分页查询
     *
     * @param workflowParam 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<WorkflowParam> queryByPage(WorkflowParam workflowParam, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param workflowParam 实例对象
     * @return 实例对象
     */
    WorkflowParam insert(WorkflowParam workflowParam) throws Exception;

    /**
     * 修改数据
     *
     * @param workflowParam 实例对象
     * @return 实例对象
     */
    WorkflowParam update(WorkflowParam workflowParam);

    String removeById(Integer id) throws Exception;

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}
